int fsize = 34;
int margin = 575;

void labelStart(){
  textAlign(LEFT, CENTER);
  textFont(myFont);
  textSize(20);
  text("Press Keys 1-6 To Begin", width/2-150, height/2);
  textSize(fsize);
  text("00000 km^3", hMargin, vMargin+margin);
  textSize(20);
  text("Ice by Volume in YYYY", hMargin, vMargin+600);
  
}

void label1980(){
  fill(225);
  rect(25, height-125, 210, 60);
  rect(width-100, 80, 75,230);
  fill(0);
  textFont(myFont);
  textSize(fsize);
  text("24,600 km^3", hMargin, vMargin+margin);
  textSize(20);
  text("Ice by Volume in 1980", hMargin, vMargin+600);
  for (int i=0; i<9; i++ ){
    textSize(20);
    pushMatrix();
    translate(0,i*25,0);
    text(years[i],width-90, 100);
    popMatrix();
  }
}

void label1985(){
  fill(225);
  rect(25, height-125, 210, 60);
  fill(0);
  textFont(myFont);
  textSize(fsize);
  text("23,100 km^3", hMargin, vMargin+margin);
  textSize(20);
  text("Ice by Volume in 1985", hMargin, vMargin+600);
  for (int i=0; i<9; i++ ){
    textSize(20);
    pushMatrix();
    translate(0,i*25,0);
    text(years[i],width-90, 100);
    popMatrix();
  }
}

void label1990(){
  fill(225);
  rect(25, height-125, 210, 60);
  fill(0);
  textFont(myFont);
  textSize(fsize);
  text("22,500 km^3", hMargin, vMargin+margin);
  textSize(20);
  text("Ice by Volume in 1990", hMargin, vMargin+600);
  for (int i=0; i<9; i++ ){
    textSize(20);
    pushMatrix();
    translate(0,i*25,0);
    text(years[i],width-90, 100);
    popMatrix();
  }
}
void label1995(){
  fill(225);
  rect(25, height-125, 210, 60);
  fill(0);
  textFont(myFont);
  textSize(fsize);
  text("20,300 km^3", hMargin, vMargin+margin);
  textSize(20);
  text("Ice by Volume in 1995", hMargin, vMargin+600);
  for (int i=0; i<9; i++ ){
    textSize(20);
    pushMatrix();
    translate(0,i*25,0);
    text(years[i],width-90, 100);
    popMatrix();
  }
}

void label2000(){
  fill(225);
  rect(25, height-125, 210, 60);
  fill(0);
  textFont(myFont);
  textSize(fsize);
  text("19,700 km^3", hMargin, vMargin+margin);
  textSize(20);
  text("Ice by Volume in 2000", hMargin, vMargin+600);
  for (int i=0; i<9; i++ ){
    textSize(20);
    pushMatrix();
    translate(0,i*25,0);
    text(years[i],width-90, 100);
    popMatrix();
  }
}

void label2005(){
  fill(225);
  rect(25, height-125, 210, 60);
  fill(0);
  textFont(myFont);
  textSize(fsize);
  text("17,900 km^3", hMargin, vMargin+margin);
  textSize(20);
  text("Ice by Volume in 2005", hMargin, vMargin+600);
  for (int i=0; i<9; i++ ){
    textSize(20);
    pushMatrix();
    translate(0,i*25,0);
    text(years[i],width-90, 100);
    popMatrix();
  }
}

void label2010(){
  fill(225);
  rect(25, height-125, 210, 60);
  fill(0);
  textFont(myFont);
  textSize(fsize);
  text("14,500 km^3", hMargin, vMargin+margin);
  textSize(20);
  text("Ice by Volume in 2010", hMargin, vMargin+600);
  for (int i=0; i<9; i++ ){
    textSize(20);
    pushMatrix();
    translate(0,i*25,0);
    text(years[i],width-90, 100);
    popMatrix();
  }
}

void label2015(){
  fill(225);
  rect(25, height-125, 210, 60);
  fill(0);
  textFont(myFont);
  textSize(fsize);
  text("15,400 km^3", hMargin, vMargin+margin);
  textSize(20);
  text("Ice by Volume in 2015", hMargin, vMargin+600);
  for (int i=0; i<9; i++ ){
    textSize(20);
    pushMatrix();
    translate(0,i*25,0);
    text(years[i],width-90, 100);
    popMatrix();
  }
}

void labelAnimate(){
  fill(225);
  rect(25, height-125, 210, 60);
  fill(0);
  textFont(myFont);
  textSize(fsize);
  text(startVolume + "km^3", hMargin, vMargin+margin);
  textSize(20);
  text("Year: 1980 - 2015", hMargin, vMargin+600);
  
  if(startVolume > endVolume){
    startVolume -= 10;
  }
}

//void initial(){
  
//}

void keyPressed(){
  
  if(key == 's'|| key == 'S'){
    saveFrame("finalProject-######.jpg");
  }
  if(key=='r' || key=='R'){
    
    //initial();
    //label1 = true;
    
  } else if( key =='1'){
      
      //int boxes = 100;
            
      for (int x=0; x<100; x++) {
       for (int y=0; y<100; y++) {
         int imgx = (int)map(x, 0, 100, 0, img.width);
         int imgy = (int)map(y, 0, 100, 0, img.height);
         c = img.get(imgx, imgy);
         float bri = brightness(img.get(imgx, imgy));
         //float hue = hue(img.get(imgx, imgy));
         //float sat = saturation(img.get(imgx, imgy));
         pushMatrix();
         translate(x, y, 0);
         fill(c);
         box(bri/(255+avgVolumeAxis80));
         popMatrix(); 
         
         label1 = false;
         label2 = true;
         label3 = false;
         label4 = false;
         label5 = false;
         label6 = false;
         label7 = false;
         label8 = false;
         label9 = false;
         label10 = false;
         }
      }
    
    //for (int i =0; i<box.size(); i++){
    //  if(box.get(i).startPosition < box.get(i).endPosition)
    //    box.get(i).startPosition++;
    //}  
   
   } else if(key == '2'){
      for (int x=0; x<100; x++) {
       for (int y=0; y<100; y++) {
         int imgx = (int)map(x, 0, 100, 0, img.width);
         int imgy = (int)map(y, 0, 100, 0, img.height);
         c = img.get(imgx, imgy);
         float bri = brightness(img.get(imgx, imgy));
         //float hue = hue(img.get(imgx, imgy));
         //float sat = saturation(img.get(imgx, imgy));
         pushMatrix();
         translate(x, y, 0);
         fill(c);
         box(bri/(255+avgVolumeAxis80+avgVolumeAxis85));
         popMatrix();
         //Rodger - Am i on the right track to getting boxes and animating them? 
         //below is the code i am trying to work out but i still am not having good 
         //luck. I tried making an array with the x values from the for loop above and 
         //using it to grab boxes. Not sure what to do after that. startPosition =0 and 
         //endPosition = 720 
         //for(int i = 0; i<(float)box.size(); i++){
         // if((float)box.get(i).startPosition < box.get(i).endPosition){ 
         // (float)box.get(i).startPosition++;
         // }
         //}
         label1 = false;
         label2 = false;
         label3 = true;
         label4 = false;
         label5 = false;
         label6 = false;
         label7 = false;
         label8 = false;
         label9 = false;
         label10 = false;
        }
      }  
   } else if( key =='3'){
    
      for (int x=0; x<100; x++) {
       for (int y=0; y<100; y++) {
         int imgx = (int)map(x, 0, 100, 0, img.width);
         int imgy = (int)map(y, 0, 100, 0, img.height);
         c = img.get(imgx, imgy);
         float bri = brightness(img.get(imgx, imgy));
         //float hue = hue(img.get(imgx, imgy));
         //float sat = saturation(img.get(imgx, imgy));
         pushMatrix();
         translate(x, y, 0);
         fill(c);
         box(bri/(255+avgVolumeAxis80+avgVolumeAxis85+avgVolumeAxis90));
         popMatrix(); 
         
         label1 = false;
         label2 = false;
         label3 = false;
         label4 = true;
         label5 = false;
         label6 = false;
         label7 = false;
         label8 = false;
         label9 = false;
         label10 = false;
         
         }
      } 
   } else if( key =='4'){
    
      for (int x=0; x<100; x++) {
       for (int y=0; y<100; y++) {
         int imgx = (int)map(x, 0, 100, 0, img.width);
         int imgy = (int)map(y, 0, 100, 0, img.height);
         c = img.get(imgx, imgy);
         float bri = brightness(img.get(imgx, imgy));
         //float hue = hue(img.get(imgx, imgy));
         //float sat = saturation(img.get(imgx, imgy));
         pushMatrix();
         translate(x, y, 0);
         fill(c);
         box(bri/(255+avgVolumeAxis80+avgVolumeAxis85+avgVolumeAxis90+avgVolumeAxis95));
         popMatrix(); 
         
         label1 = false;
         label2 = false;
         label3 = false;
         label4 = false;
         label5 = true;
         label6 = false;
         label7 = false;
         label8 = false;
         label9 = false;
         label10 = false;
         
         }
      } 
}else if( key =='5'){
    
      for (int x=0; x<100; x++) {
       for (int y=0; y<100; y++) {
         int imgx = (int)map(x, 0, 100, 0, img.width);
         int imgy = (int)map(y, 0, 100, 0, img.height);
         c = img.get(imgx, imgy);
         float bri = brightness(img.get(imgx, imgy));
         //float hue = hue(img.get(imgx, imgy));
         //float sat = saturation(img.get(imgx, imgy));
         pushMatrix();
         translate(x, y, 0);
         fill(c);
         box(bri/(255+avgVolumeAxis80+avgVolumeAxis85+avgVolumeAxis90+avgVolumeAxis95+avgVolumeAxis00));
         popMatrix(); 
         
         label1 = false;
         label2 = false;
         label3 = false;
         label4 = false;
         label5 = false;
         label6 = true;
         label7 = false;
         label8 = false;
         label9 = false;
         label10 = false;
         
         }
      } 
   }else if( key =='6'){
    
      for (int x=0; x<100; x++) {
       for (int y=0; y<100; y++) {
         int imgx = (int)map(x, 0, 100, 0, img.width);
         int imgy = (int)map(y, 0, 100, 0, img.height);
         c = img.get(imgx, imgy);
         float bri = brightness(img.get(imgx, imgy));
         //float hue = hue(img.get(imgx, imgy));
         //float sat = saturation(img.get(imgx, imgy));
         pushMatrix();
         translate(x, y, 0);
         fill(c);
         box(bri/(255+avgVolumeAxis80+avgVolumeAxis85+avgVolumeAxis90+avgVolumeAxis95+avgVolumeAxis00+avgVolumeAxis05));
         popMatrix(); 
         
         label1 = false;
         label2 = false;
         label3 = false;
         label4 = false;
         label5 = false;
         label6 = false;
         label7 = true;
         label8 = false;
         label9 = false;
         label10 = false;
         
         }
      } 
   }else if( key =='7'){
    
      for (int x=0; x<100; x++) {
       for (int y=0; y<100; y++) {
         int imgx = (int)map(x, 0, 100, 0, img.width);
         int imgy = (int)map(y, 0, 100, 0, img.height);
         c = img.get(imgx, imgy);
         float bri = brightness(img.get(imgx, imgy));
         //float hue = hue(img.get(imgx, imgy));
         //float sat = saturation(img.get(imgx, imgy));
         pushMatrix();
         translate(x, y, 0);
         fill(c);
         box(bri/(255+avgVolumeAxis80+avgVolumeAxis85+avgVolumeAxis90+avgVolumeAxis95+avgVolumeAxis00+avgVolumeAxis05+avgVolumeAxis10));
         popMatrix(); 
         
         label1 = false;
         label2 = false;
         label3 = false;
         label4 = false;
         label5 = false;
         label6 = false;
         label7 = false;
         label8 = true;
         label9 = false;
         label10 = false;
         
         }
      } 
   }else if( key =='8'){
    
      for (int x=0; x<100; x++) {
       for (int y=0; y<100; y++) {
         int imgx = (int)map(x, 0, 100, 0, img.width);
         int imgy = (int)map(y, 0, 100, 0, img.height);
         c = img.get(imgx, imgy);
         float bri = brightness(img.get(imgx, imgy));
         //float hue = hue(img.get(imgx, imgy));
         //float sat = saturation(img.get(imgx, imgy));
         pushMatrix();
         translate(x, y, 0);
         fill(c);
         box(bri/(255+avgVolumeAxis80+avgVolumeAxis85+avgVolumeAxis90+avgVolumeAxis95+avgVolumeAxis00+avgVolumeAxis05+avgVolumeAxis10+avgVolumeAxis15));
         popMatrix(); 
         
         label1 = false;
         label2 = false;
         label3 = false;
         label4 = false;
         label5 = false;
         label6 = false;
         label7 = false;
         label8 = false;
         label9 = true;
         label10 = false;
         
         }
      } 
   } else if( key =='9'){
      for (int x=0; x<100; x++) {
       for (int y=0; y<100; y++) {
         int imgx = (int)map(x, 0, 100, 0, img.width);
         int imgy = (int)map(y, 0, 100, 0, img.height);
         c = img.get(imgx, imgy);
         float bri = brightness(img.get(imgx, imgy));
         //float hue = hue(img.get(imgx, imgy));
         //float sat = saturation(img.get(imgx, imgy));
        
         pushMatrix();
         translate(x, y, 0);
         fill(c); 
         box(bri/((float)change));
         popMatrix();
         if(change <= end){
           change+=0.00001;
         }
         
         }
         label1 = false;
         label2 = false;
         label3 = false;
         label4 = false;
         label5 = false;
         label6 = false;
         label7 = false;
         label8 = false;
         label9 = false;
         label10 = true;
         }
        }
      } 
 